import 'package:flutter/material.dart';
import 'route_animations.dart';

enum AnimationType { material, fadeIn }

class RouteTransitions {
  final BuildContext context;
  final Widget child;
  final AnimationType animation;
  final Duration duration;
  final bool replace;

  RouteTransitions(
      {required this.context,
      required this.child,
      this.animation = AnimationType.material,
      this.duration = const Duration(milliseconds: 400),
      this.replace = false}) {
    Route route;

    switch (animation) {
      case AnimationType.material:
        route = MaterialPageRoute(builder: (_) => child);
        break;
      case AnimationType.fadeIn:
        route = FadeInRouteBuilder(child: child, duration: duration);
        break;
    }

    if (replace) {
      Navigator.pushReplacement(context, route);
    } else {
      Navigator.push(context, route);
    }
  }
}
