import 'package:flutter/material.dart';

class FadeInRouteBuilder extends PageRouteBuilder {
  final Widget child;
  final Duration duration;

  FadeInRouteBuilder({
    required this.child,
    required this.duration
  }) : super(
    transitionDuration: duration,
    reverseTransitionDuration: duration,
    pageBuilder: (context, animation, secondaryAnimation) => child,
  );

  @override
  Widget buildTransitions(BuildContext context, Animation<double> animation, Animation<double> secondaryAnimation, Widget child) {
    return FadeTransition(
      opacity: CurvedAnimation(parent: animation, curve: Curves.easeOut),
      child: child,
    );
  }
}